
Robotics Service Bus - Feature #496
Provide Binary Package of cl-rsb-tools for MacOS
08/11/2011 05:36 PM - S. Wrede

Status: Resolved Start date: 08/11/2011
Priority: Low Due date:
Assignee: J. Moringen % Done: 100%
Category: Common Lisp Tools Estimated time: 0.00 hour
Target version: 0.5
Description

Version:
https://ci.cor-lab.de/view/RSB/job/cl-rsb-tools-stable/label=ubuntu_lucid_32bit/lastSuccessfulBuild/artifact/build/logger-builtin-spread-
ncompressed

This does not work. MacOS just states that this binary file is not executable.

History
#1 - 09/04/2011 08:44 PM - J. Moringen

This should be possible if we get a MacOS vm.

#2 - 09/05/2011 10:01 AM - S. Wrede

Posted a corresponding request in IT Support

#3 - 09/20/2011 03:18 AM - J. Moringen
- Status changed from New to In Progress
- Target version set to rsb-0.10
- % Done changed from 0 to 60

Remaining problem: images lack thread-support.

#4 - 09/20/2011 03:59 AM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 60 to 100

Could be solved by building SBCL with thread support. bummer.

(Uncompressed) binaries are available at:

    -  logger
    -  logger with builtin Spread support

#5 - 10/27/2011 08:10 PM - J. Moringen
- Target version changed from rsb-0.10 to 0.5
https://ci.cor-lab.de/view/RSB/job/cl-rsb-tools-stable/label=ubuntu_lucid_32bit/lastSuccessfulBuild/artifact/build/logger-builtin-spread-uncompressed
https://ci.cor-lab.de/view/RSB/job/cl-rsb-tools-stable/label=ubuntu_lucid_32bit/lastSuccessfulBuild/artifact/build/logger-builtin-spread-uncompressed
https://support.cor-lab.de/issues/267
https://ci.cor-lab.de/job/rsb-tools-cl/label=MAC_OS_lion_64bit/lastSuccessfulBuild/artifact/build/logger
